<center><a href="petscdraw.h">Actual source code: petscdraw.h</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:36:20+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a>!
<a name="line2">  2: </a>!
<a name="line3">  3: </a>!  Include file <font color="#4169E1">for</font> Fortran use of the <A href="../../docs/manualpages/Draw/PetscDraw.html#PetscDraw">PetscDraw</A> package in PETSc
<a name="line4">  4: </a>!

<a name="line6">  6: </a><font color="#A020F0">#if !defined (__PETSCDRAW_H)</font>

<a name="line9">  9: </a><strong><font color="#228B22">#define <A href="../../docs/manualpages/Draw/PetscDraw.html#PetscDraw">PetscDraw</A> PetscFortranAddr</font></strong>
<a name="line10"> 10: </a><strong><font color="#228B22">#define <A href="../../docs/manualpages/Draw/PetscDrawLG.html#PetscDrawLG">PetscDrawLG</A> PetscFortranAddr</font></strong>
<a name="line11"> 11: </a><strong><font color="#228B22">#define <A href="../../docs/manualpages/Draw/PetscDrawAxis.html#PetscDrawAxis">PetscDrawAxis</A> PetscFortranAddr</font></strong>
<a name="line12"> 12: </a><strong><font color="#228B22">#define <A href="../../docs/manualpages/Draw/PetscDrawSP.html#PetscDrawSP">PetscDrawSP</A> PetscFortranAddr</font></strong>
<a name="line13"> 13: </a><strong><font color="#228B22">#define <A href="../../docs/manualpages/Draw/PetscDrawHG.html#PetscDrawHG">PetscDrawHG</A> PetscFortranAddr</font></strong>
<a name="line14"> 14: </a><strong><font color="#228B22">#define PetscDrawMesh PetscFortranAddr</font></strong>
<a name="line15"> 15: </a><strong><font color="#228B22">#define <A href="../../docs/manualpages/Draw/PetscDrawButton.html#PetscDrawButton">PetscDrawButton</A> <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A></font></strong>
<a name="line16"> 16: </a><strong><font color="#228B22">#define <A href="../../docs/manualpages/Draw/PetscDrawType.html#PetscDrawType">PetscDrawType</A> character*(80)</font></strong>

<a name="line18"> 18: </a>!
<a name="line19"> 19: </a>!  types of draw context
<a name="line20"> 20: </a>!
<a name="line21"> 21: </a><strong><font color="#228B22">#define PETSC_DRAW_X 'x'</font></strong>
<a name="line22"> 22: </a><strong><font color="#228B22">#define PETSC_DRAW_NULL 'null'</font></strong>
<a name="line23"> 23: </a><strong><font color="#228B22">#define PETSC_DRAW_PS 'ps'</font></strong>
<a name="line24"> 24: </a><strong><font color="#228B22">#define PETSC_DRAW_WIN32 'win32'</font></strong>

<a name="line26"> 26: </a><font color="#A020F0">#endif</font>

<a name="line28"> 28: </a><font color="#A020F0">#if !defined (PETSC_AVOID_DECLARATIONS)</font>
<a name="line29"> 29: </a>!
<a name="line30"> 30: </a>!  Flags <font color="#4169E1">for</font> draw
<a name="line31"> 31: </a>!
<a name="line32"> 32: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_BASIC_COLORS,PETSC_DRAW_ROTATE
<a name="line33"> 33: </a>      parameter (PETSC_DRAW_BASIC_COLORS=33,PETSC_DRAW_ROTATE=-1)
<a name="line34"> 34: </a>!
<a name="line35"> 35: </a>!  Colors <font color="#4169E1">for</font> drawing
<a name="line36"> 36: </a>!
<a name="line37"> 37: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_WHITE,PETSC_DRAW_BLACK,PETSC_DRAW_RED
<a name="line38"> 38: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_GREEN,PETSC_DRAW_CYAN,PETSC_DRAW_BLUE
<a name="line39"> 39: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_MAGENTA,PETSC_DRAW_AQUAMARINE
<a name="line40"> 40: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_FORESTGREEN,PETSC_DRAW_ORANGE
<a name="line41"> 41: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_BROWN,PETSC_DRAW_PINK,PETSC_DRAW_CORAL
<a name="line42"> 42: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_GRAY,PETSC_DRAW_YELLOW,PETSC_DRAW_GOLD
<a name="line43"> 43: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_LIGHTPINK,PETSC_DRAW_MEDIUMTURQUOISE
<a name="line44"> 44: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_KHAKI,PETSC_DRAW_DIMGRAY
<a name="line45"> 45: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_SKYBLUE,PETSC_DRAW_DARKGREEN
<a name="line46"> 46: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_NAVYBLUE,PETSC_DRAW_SANDYBROWN
<a name="line47"> 47: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_CADETBLUE,PETSC_DRAW_POWDERBLUE
<a name="line48"> 48: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_DEEPPINK,PETSC_DRAW_THISTLE
<a name="line49"> 49: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_LIMEGREEN,PETSC_DRAW_LAVENDERBLUSH
<a name="line50"> 50: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_PLUM,PETSC_DRAW_YELLOWGREEN
<a name="line51"> 51: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> PETSC_DRAW_VIOLET

<a name="line53"> 53: </a>      parameter (PETSC_DRAW_WHITE = 0,PETSC_DRAW_BLACK = 1)
<a name="line54"> 54: </a>      parameter (PETSC_DRAW_RED = 2,PETSC_DRAW_GREEN = 3)
<a name="line55"> 55: </a>      parameter (PETSC_DRAW_CYAN = 4,PETSC_DRAW_BLUE = 5)
<a name="line56"> 56: </a>      parameter (PETSC_DRAW_MAGENTA = 6,PETSC_DRAW_AQUAMARINE = 7)
<a name="line57"> 57: </a>      parameter (PETSC_DRAW_FORESTGREEN = 8,PETSC_DRAW_ORANGE = 9)
<a name="line58"> 58: </a>      parameter (PETSC_DRAW_VIOLET = 10,PETSC_DRAW_BROWN = 11)
<a name="line59"> 59: </a>      parameter (PETSC_DRAW_PINK = 12,PETSC_DRAW_CORAL = 13)
<a name="line60"> 60: </a>      parameter (PETSC_DRAW_GRAY = 14,PETSC_DRAW_YELLOW = 15)
<a name="line61"> 61: </a>      parameter (PETSC_DRAW_GOLD = 16,PETSC_DRAW_LIGHTPINK = 17)
<a name="line62"> 62: </a>      parameter (PETSC_DRAW_MEDIUMTURQUOISE = 18)
<a name="line63"> 63: </a>      parameter (PETSC_DRAW_KHAKI = 19)
<a name="line64"> 64: </a>      parameter (PETSC_DRAW_DIMGRAY = 20)
<a name="line65"> 65: </a>      parameter (PETSC_DRAW_YELLOWGREEN = 21)
<a name="line66"> 66: </a>      parameter (PETSC_DRAW_SKYBLUE = 22)
<a name="line67"> 67: </a>      parameter (PETSC_DRAW_DARKGREEN = 23)
<a name="line68"> 68: </a>      parameter (PETSC_DRAW_NAVYBLUE = 24)
<a name="line69"> 69: </a>      parameter (PETSC_DRAW_SANDYBROWN = 25)
<a name="line70"> 70: </a>      parameter (PETSC_DRAW_CADETBLUE = 26)
<a name="line71"> 71: </a>      parameter (PETSC_DRAW_POWDERBLUE = 27)
<a name="line72"> 72: </a>      parameter (PETSC_DRAW_DEEPPINK = 28)
<a name="line73"> 73: </a>      parameter (PETSC_DRAW_THISTLE = 29)
<a name="line74"> 74: </a>      parameter (PETSC_DRAW_LIMEGREEN = 30)
<a name="line75"> 75: </a>      parameter (PETSC_DRAW_LAVENDERBLUSH =31)
<a name="line76"> 76: </a>      parameter (PETSC_DRAW_PLUM = 32)

<a name="line78"> 78: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> BUTTON_NONE,BUTTON_LEFT,BUTTON_CENTER
<a name="line79"> 79: </a>      <A href="../../docs/manualpages/Sys/PetscEnum.html#PetscEnum">PetscEnum</A> BUTTON_RIGHT

<a name="line81"> 81: </a>      parameter (BUTTON_NONE = 0,BUTTON_LEFT = 1)
<a name="line82"> 82: </a>      parameter (BUTTON_CENTER = 2,BUTTON_RIGHT = 3)

<a name="line84"> 84: </a>!
<a name="line85"> 85: </a>!  End of Fortran include file <font color="#4169E1">for</font> the <A href="../../docs/manualpages/Draw/PetscDraw.html#PetscDraw">PetscDraw</A> package in PETSc

<a name="line87"> 87: </a><font color="#A020F0">#endif</font>
</pre>
</body>

</html>
